unit UMain;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, AdvSmoothTileList, Data.DB,
  Datasnap.DBClient, Vcl.StdCtrls, GDIPPictureContainer,
  AdvSmoothTileListImageVisualizer, AdvSmoothTileListHTMLVisualizer;

type
  TFMain = class(TForm)
    TLTareas: TAdvSmoothTileList;
    MDatos: TMemo;
    AdvSmoothTileListHTMLVisualizer1: TAdvSmoothTileListHTMLVisualizer;
    GDIPPictureContainer1: TGDIPPictureContainer;
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
    procedure MostrarTareas;
    procedure CargarDatos;
  public
    { Public declarations }
  end;

var
  FMain: TFMain;

implementation

{$R *.dfm}

procedure TFMain.MostrarTareas;
var
  i: Integer;
  HTML, ImgTerminada, Bullet, ColorIcono, TituloTarea, EjerTarea, TituloDepto, NomPagador, Referencia, Tarea, Finca, Ejercicio, Codigo: String;
  Registro: TStrings;
begin
  TLTareas.Enabled := False;

  TLTareas.BeginUpdate;

  TLTareas.TileAppearance.SmallViewFillSelected.Assign(TLTareas.TileAppearance.SmallViewFill);
  TLTareas.TileAppearance.SmallViewFillHover.Assign(TLTareas.TileAppearance.SmallViewFill);
  TLTareas.TileAppearance.LargeViewFill.Assign(TLTareas.TileAppearance.SmallViewFill);
  TLTareas.TileAppearance.SmallViewFontSelected.Assign(TLTareas.TileAppearance.SmallViewFont);
  TLTareas.TileAppearance.SmallViewFontHover.Assign(TLTareas.TileAppearance.SmallViewFont);
  TLTareas.TileAppearance.LargeViewFont.Assign(TLTareas.TileAppearance.SmallViewFont);

  TLTareas.Tiles.Clear;
  Registro := TStringList.Create;
  Registro.Delimiter := ';';
  Registro.StrictDelimiter := True;

  for i := 0 to MDatos.Lines.Count -1 do
  begin
    Registro.DelimitedText := MDatos.Lines[i];

    Codigo     := StringReplace(Registro[0], '.', '', [rfReplaceAll]);
    Tarea      := Registro[2];
    Finca      := Registro[3];
    Referencia := StringReplace(Registro[4], '.', '', [rfReplaceAll]);
    Ejercicio  := Registro[5];


    with TLTareas.Tiles.Add do
    begin
      Content.TextPosition := tpCustom;
      Content.TextTop := 6;
      Content.TextLeft := 6;

      case StrToInt(Referencia) of
        - 1: ColorIcono := 'naranja';
          1: ColorIcono := 'verde';
          2: ColorIcono := 'azul';
          3: ColorIcono := 'rojo';
          4: ColorIcono := 'morado';
          5: ColorIcono := 'amarillo';
          6: ColorIcono := 'rojo';
      else
        ColorIcono := 'gris';
      end;

      ImgTerminada := 'clock_' + ColorIcono + '.png';
      Bullet := 'bullet-red.png';

      TituloDepto := '';

      TituloTarea := StringReplace(Tarea, '<', '', [rfReplaceAll]);
      TituloTarea := StringReplace(TituloTarea, '>', '', [rfReplaceAll]);

      EjerTarea := StringReplace(Ejercicio, '<', '', [rfReplaceAll]);
      EjerTarea := StringReplace(EjerTarea, '>', '', [rfReplaceAll]);

      HTML := '<IMG src="' + ImgTerminada + '" width="16" height="16"/><IND x="24"><b>' + TituloTarea + '</b>';

      HTML := HTML + '<br/>';
      HTML := HTML + '<br/><I>' + Finca + '</I>';
      if TituloDepto <> '' then
        HTML := HTML + '<br/><I><font color="clGrayText">' + TituloDepto + '</font></I>';

      if Trim(EjerTarea) <> '' then HTML := HTML + '<br/><font size="7" color="clGrayText">' + EjerTarea + '</font><br/>'
      else HTML := HTML + '<br/>';

      HTML := HTML + '<IND x="2"><IMG src="' + Bullet + '" align="middle" width="14" height="14"/>';

      HTML := HTML + '<IND x="200"><a href="#exetarea"><IMG src="BtnLanzarTarea.png" align="top" width="88" height="24"/></a>';

      if StrToInt(Referencia) = -1 then HTML := HTML + '<br/>' + '<IND x="2"><a href="#tobag">Enviar a la bolsa de recibos</a>';


      Content.text := HTML;
      Data := Codigo;
      Tag := StrToInt(Referencia);
    end;
  end;

  TLTareas.EndUpdate;
  TLTareas.Enabled := True;
end;

procedure TFMain.FormShow(Sender: TObject);
begin
  CargarDatos;
  MostrarTareas;
end;

procedure TFMain.CargarDatos;
begin





end;

end.
